# Generated from machinist_rails-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name machinist_rails

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Simple railtie integration of machinist to rails 3
License: MIT
URL: http://github.com/jeffbozek/machinist_rails
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(shoulda)
# BuildRequires: rubygem(jeweler) >= 1.5.1
# BuildRequires: rubygem(jeweler) < 1.6
# BuildRequires: rubygem(rcov)
BuildArch: noarch

%description
Inspired by factory_girl_rails. Machinist_rails enables auto-loading of
macros, matchers, and blueprints in spec/support/ and its subdirectories. This
allows for easy access to blueprints, etc.. in the console. This also sets
machinist as the fixture_replacement for your rails generators.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/test

%changelog
* Tue Apr 19 2022 mockbuilder - 0.1.0-1
- Initial package
